Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

List leaderboard badges

POST/v1/leaderboard.listBadges
Authorization
AuthorizationBearer token · headerrequired
Responses
200

OK

badgesV1LeaderboardBadge[] | nullrequired

The badges

Show properties
Array of V1LeaderboardBadge
appIdinteger<int32>required

The app id

min 0
appImagestringrequired

The image of the app

appNamestringrequired

The name of the app

badgeIdstringrequired

The public id of the badge

firstCompletionstring<date-time> | nullrequired

The time the badge was completed

highestLevelinteger<int64> | nullrequired

The level the badge was completed

imagestringrequired

The image of the badge

isEventbooleanrequired

Whether the badge is an event or not

isFoilbooleanrequired

Whether the badge is foil or not

isSalebooleanrequired

Whether the badge is a sale or not

lastCompletionstring<date-time> | nullrequired

The time the badge was completed

levelinteger<int32>required

The level of the badge

min 0
namestringrequired

The name of the badge

priceinteger<int32>requireddeprecated

The price of the badge

scarcityinteger<int64> | nullrequired

The scarcity of the badge

steamIdinteger<int32>required

The steam id

min 0
trackedHoldersinteger<int64> | nullrequired

The number of holders steamsets tracks for the badge

xpinteger<int32>required

The xp of the badge

min 0
400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Request
curl -X POST 'https://api.steamsets.com/v1/leaderboard.listBadges' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "badges": [
    {
      "appId": 730,
      "appImage": "https://cdn.cloudflare.steamstatic.com/steamcommunity/public/images/apps/730/a1a2f9f3f4c0c2b1f8d3a4e5f6d7e8f9.jpg",
      "appName": "Counter-Strike: Global Offensive",
      "badgeId": "bdg_123",
      "firstCompletion": "2023-01-01T00:00:00Z",
      "highestLevel": 123456,
      "image": "https://cdn.cloudflare.steamstatic.com/steamcommunity/public/images/items/2861690/088ef3b86f9529b031929eab0a2e60bf30d1b904.png",
      "isEvent": true,
      "isFoil": true,
      "isSale": true,
      "lastCompletion": "2023-01-01T00:00:00Z",
      "level": 123456,
      "name": "Sommer Sale 2024 Foil 1+",
      "price": 1200,
      "scarcity": 123456,
      "steamId": 76561198842603730,
      "trackedHolders": 123456,
      "xp": 123456
    }
  ]
}